/* --------------- レスポンシブデザイントップページ ここから ---------------*/
/* --------------- レスポンシブデザイントップページ ここから ---------------*/
/* max-width これ以上は大きくならない */
@media screen and (max-width: 768px) {
    /* rootの統一設定 */
    :root {
        --fs-h1: 32px;
        --fs-h2: 28px;
        --fs-h3: 22px;
        --fs-h4: 18px;
        --fs-body: 14px;
        --fs-Catch-large-bold: 32px;
        --fs-Catch-middle-bold: 18px;
    }
}

/* header */
@media screen and (max-width: 768px) {
    header {
        padding: 0 16px;
        height: 80px;
    }
}

@media screen and (max-width: 768px) {
    header h1 {
        margin: 0 auto;
    }

    .header_nav_list {
        display: flex; /* メニューは非表示にする場合 none */
        flex-direction: column;
        margin: 100px auto;
        gap: 50px;
    }
}

/* 競合 */
.h-nav .header_nav_list li a {
    color: var(--base-color);
    padding: 10px;
}

/* mvここから */
@media screen and (max-width: 768px) {
    .mv {
        position: relative;
        display: flex;
        flex-direction: column; /* 縦並び */
        align-items: flex-end;

        justify-content: center;
        height: 70vh;
        min-height: 100vh; /* 画面いっぱい */
    }

    .mv_catch_copy {
        left: 16px;
        right: 16px;
        top: 55%;
        padding: 16px;
        max-width: none;
    }

    .en_catch {
        font-size: 28px;
        line-height: 1.2;
    }

    .jp_catch {
        font-size: 16px;
    }

    .mv_buttons {
        position: absolute;
        top: 85%;
        left: 50%;
        transform: translateX(-50%);
        right: auto;

        margin: 0px auto 0;
        justify-content: center;
        gap: 16px;
    }

    .mv_buttons a {
        width: 140px;
        height: 44px;
        font-size: 14px;
    }
}

/* concept（横並び → 縦並び） */
@media screen and (max-width: 768px) {
    .concept_content {
        flex-direction: column;
        gap: 40px;
        margin: 48px 16px;
    }

    .concept_img {
        max-width: 100%;
    }

    .concept_sheet {
        width: 100%;
        height: auto;
        padding: 24px 16px;
    }
}

/* recommend（3カラム → 1カラム */
@media screen and (max-width: 768px) {
    .recommend_catchs,
    .rec_catchs {
        flex-direction: column;
        gap: 40px;
        align-items: center;
    }

    .rec_buttons {
        flex-direction: column;
        gap: 16px;
        margin: 48px auto 80px;
    }
}

/* ● gallery（3列 → 2列） */
@media screen and (max-width: 768px) {
    .gallery_img ul {
        grid-template-columns: repeat(2, 1fr); /* 1fr＝比率で分ける */
        gap: 16px;
        margin: 0 auto;
    }
}
/* ● gallery（3列 → 2列） */

/* access（横並び → 縦） */
@media screen and (max-width: 768px) {
    .access_container {
        flex-direction: column;
        gap: 40px;
        padding: 0 16px;
    }

    .map_buttons {
        flex-direction: column;
        gap: 16px;
        margin: 48px auto;
    }

    /* mapサイズ変更設定 */
    .map {
        position: relative;
        width: 100%;
        aspect-ratio: 16 / 9;
    }

    .map iframe {
        position: absolute;
        inset: 0;
        width: 100%;
        height: 100%;
    }
}

/* footerのナビリスト設定変更 */
@media screen and (max-width: 768px) {
    .footer_nav_list {
        flex-direction: row; /* 横並びにする */
        align-items: center; /* 中央寄せ */
        gap: 16px;
    }
}

/* フッターロゴが画像とかさなると見えないので消す */
@media screen and (max-width: 768px) {
    .footer_logo {
        background: none;
    }
}

/* バーガーメニュー と ナビゲーション */
@media screen and (max-width: 768px) {
    header {
        position: relative;
        padding: 8px 32px;
    }

    .h-nav {
        position: fixed;
        top: 0;
        right: -40%; /* 画面右に隠れている状態 */
        z-index: 9998; /* ハンバーガーメニューをクリックした場合を優先にしている .mv_buttonsより優先度高*/
        display: flex;
        justify-content: center;
        align-items: center;
        width: 40%;
        height: 100vh;
        overflow: hidden;
        background: var(--main-color);
        transition: 500ms;
    }

    /* .h-nav.open { */
    /* right: 0%; 表示されるのはこれがついた時 */
    /* } */

    /* ハンバーガーメニューのボーダーラインのサイズ調整 */
    .header_nav_list {
        padding: 16px   0px;
    }

    .header_nav_list li:not(:last-of-type) {
        margin-bottom: 2rem;
    }

    .header_nav_list li a:hover {
        text-decoration: underline;
    }
    /* ナビゲーションここまで */

    /* ハンバーガーメニュー */
    .h-hamburger {
        position: fixed;
        top: 16px;
        right: 32px;
        z-index: 9999;
        width: 48px;
        height: 48px;
    }

    /* ハンバーガーのボーダーは疑似要素 */
    .h-hamburger span {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        display: block;
        width: 40px;
        height: 3px;
        border-radius: 2px;
        background: var(--accent-color);
        transition: 0.5s;
    }

    .h-hamburger span::before {
        content: '';
        position: absolute;
        top: -15px;
        display: block;
        width: 40px;
        height: 3px;
        border-radius: 2px;
        background: var(--accent-color);
        transition: 0.5s;
    }

    .h-hamburger span::after {
        content: '';
        position: absolute;
        bottom: -15px;
        display: block;
        width: 40px;
        height: 3px;
        border-radius: 2px;
        background: var(--accent-color);
        transition: 0.5s;
    }

    .h-hamburger.close span {
        background: rgba(0, 0, 0, 0);
    }

    .h-hamburger.close span::before {
        top: 0;
        transform: rotate(45deg);
    }

    .h-hamburger.close span::after {
        bottom: 0;
        transform: rotate(-45deg);
    }

    /* ハンバーガーアイコンここまで */
}

/* 切り分けで使用 */
/* .header_nav_list a {
    font-size: var(--fs-body-bold) !important;
    font-family: var(--font-en-serif) !important;
    color: var(--base-color) !important;
} */

/* --------------- レスポンシブデザイン newsページ ここから ---------------*/
/* --------------- レスポンシブデザイン newsページ ここから ---------------*/
@media screen and (max-width: 768px) {
    .news_list {
        margin: 0 16px 0px;
    }
}
/* --------------- レスポンシブデザイン menu ページ ここから ---------------*/
/* --------------- レスポンシブデザイン menu ページ ここから ---------------*/
@media screen and (max-width: 768px) {
    .popular_menu_list {
        display: flex;
        gap: 20px;
        margin: 35px 16px 183px;
    }

    .all_menu_box {
        display: block;
    }

}

/* --------------- レスポンシブデザイン contact ページ ここから ---------------*/
/* --------------- レスポンシブデザイン contact ページ ここから ---------------*/
@media screen and (max-width: 768px) {
    .form_item label,
    .form_item input,
    .form_item select,
    .form_item textarea {
        display: block;
        width: 65%;
        box-sizing: border-box;
        margin: 0 24px 16px;
        color: var(--text-color);
    }
}

/* --------------- レスポンシブデザイン contactフォームページ ここから ---------------*/
/* --------------- レスポンシブデザイン contactフォームページ ここから ---------------*/
@media screen and (max-width: 768px) {
    .contact_form h4 {
        align-self: center; /* 親上書きして左開始位置に寄せる */
        width: 100%; /* 下の入力項目と幅を合わせると綺麗に揃う */
        margin: 0 16px 36px;
    }
}
